org.apache.poi.ss.format

## Class CellElapsedFormatter

- java.lang.Object
- - org.apache.poi.ss.format.CellFormatter
  - - org.apache.poi.ss.format.CellElapsedFormatter

-     public class CellElapsedFormatter
      extends CellFormatter

  This class implements printing out an elapsed time format.
  Author:
    Ken Arnold, Industrious Media LLC

- - ### Field Summary

    - ### Fields inherited from class org.apache.poi.ss.format.CellFormatter

      `format, locale`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CellElapsedFormatter(java.lang.String pattern)` Creates a elapsed time formatter.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `formatValue(java.lang.StringBuffer toAppendTo, java.lang.Object value)` Format a value according the format string.
    `void` | `simpleValue(java.lang.StringBuffer toAppendTo, java.lang.Object value)` Format a value according to the type, in the most basic way.

    - ### Methods inherited from class org.apache.poi.ss.format.CellFormatter

      `format, simpleFormat`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CellElapsedFormatter

          public CellElapsedFormatter(java.lang.String pattern)

      Creates a elapsed time formatter.
      Parameters:
        `pattern` - The pattern to parse.

  - ### Method Detail

    - #### formatValue

          public void formatValue(java.lang.StringBuffer toAppendTo,
                                  java.lang.Object value)

      Format a value according the format string.

      NOTE: this method must be thread safe! In particular, if it uses a Format instance that is not thread safe, i.e. DateFormat, this method must be synchronized, either on the method, if the format is a final property, or on the format instance itself.
      Specified by:
        `formatValue` in class `CellFormatter`
      Parameters:
        `toAppendTo` - The buffer to append to.
        `value` - The value to format.

    - #### simpleValue

          public void simpleValue(java.lang.StringBuffer toAppendTo,
                                  java.lang.Object value)

      Format a value according to the type, in the most basic way.

      NOTE: this method must be thread safe! In particular, if it uses a Format instance that is not thread safe, i.e. DateFormat, this method must be synchronized, either on the method, if the format is a final property, or on the format instance itself.

      For a date, this is `"mm/d/y"`.

      Specified by:
        `simpleValue` in class `CellFormatter`
      Parameters:
        `toAppendTo` - The buffer to append to.
        `value` - The value to format.

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.